Bug 51716 - Mozilla & KDE clipboard do not work together
Mozilla & KDE clipboard do not work together
Status: CLOSED WONTFIX
Product: Red Hat Public Beta
Classification: Retired
Component: mozilla (Show other bugs)
roswell
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Blizzard
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-14 05:25 EDT by Warren Togami
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-25 15:43:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2001-08-14 05:25:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
Mozilla does not recognize any changes to the clipboard by KDE 
applications, and vice versa.  Gnome & Mozilla seems to work fine.  
Behaves the same when logged in KDE or Gnome.

Examples:
1. Cut & Copy in Konquerer or kwrite will show up in klipper and paste 
within any application (Gnome, etc.), but it will not paste within Mozilla.
2. Copy within Mozilla.  Will not paste in KDE applications, and does not 
show up in klipper.
3. Copy "gnome" within gedit (Gnome).  Paste in Mozilla "gnome".  
Copy "KDE" within kwrite.  Paste in Mozilla "gnome".  Paste in 
Konquerer "KDE".

How reproducible:
Always

Steps to Reproduce:
Copy in a KDE application.  Attempt to paste in Mozilla.
or
Copy in Mozilla.  Attempt to paste in a KDE application.

Actual Results:  Changes to clipboard within Mozilla and KDE are not 
recognized between the two.  Gnome works with both the clipboards of KDE 
and Mozilla.

Expected Results:  Clipboard changes should be recognized between KDE and 
Mozilla.

Additional info:

Roswell + latest up2date packages as of August 13 2001.
Comment 1 Christopher Blizzard 2002-01-25 15:43:40 EST
I'm pretty sure this is fixed in recent rawhide releases.
Comment 2 Warren Togami 2002-03-29 08:47:37 EST
This turned out to be an expected behavior of QT2.  They never did fix this, but
it was expected to behave in a more expected fashion in QT3/KDE3 where select
will no longer reset the clipboard, only the select and middle click thing.

The whole mess is explained here.
http://www.freedesktop.org/standards/clipboards.txt

So it will never be fixed in KDE 2.2.2, but it works reasonably well in KDE3
right now.  KDE 2.2.2 users must always use select & middle-click to copy and
paste between Gnome, KDE and Mozilla without any surprises.

Note You need to log in before you can comment on or make changes to this bug.